using System;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using System.Collections.Generic;


namespace GroupingTreeView
{
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();
            tv.ItemContainerGenerator.StatusChanged += OnGeneratorStatusChanged;
        }

        private void OnGeneratorStatusChanged(object sender, EventArgs e)
        {
            if (tv.ItemContainerGenerator.Status == System.Windows.Controls.Primitives.GeneratorStatus.ContainersGenerated)
            {
                tv.ItemContainerGenerator.StatusChanged -= OnGeneratorStatusChanged;
                
                Animals animals = this.Resources["animals"] as Animals;
                foreach (Animal animal in animals.AnimalList)
                {
                    if (animal.Name == "Black Bear")
                    {
                        // find and expand the owning TVI
                        foreach (CollectionViewGroup group in tv.Items)
                        {
                            if (group.Items.Contains(animal))
                            {
                                TreeViewItem parent = tv.ItemContainerGenerator.ContainerFromItem(group) as TreeViewItem;
                                parent.IsExpanded = true;
                                animal.IsSelected = true;
                            }
                        }
                        break;
                    }
                }
                
            }
        }
    }

}